"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chalk = require('chalk');
var styles = {
    standard: {
        text: function (str) {
            return chalk.white(str);
        }
    },
    debug: {
        level: function (str) {
            return chalk.green(str);
        },
        name: function (str) {
            return chalk.white(str);
        }
    },
    info: {
        level: function (str) {
            return chalk.black.bgBlue.bold(str);
        },
        name: function (str) {
            return chalk.blue.bold(str);
        }
    },
    warn: {
        level: function (str) {
            return chalk.black.bgYellow.bold(str);
        },
        name: function (str) {
            return chalk.yellow.bold(str);
        }
    },
    error: {
        level: function (str) {
            return chalk.black.bgRed.bold(str);
        },
        name: function (str) {
            return chalk.red.bold(str);
        }
    }
};
/**
 * Super duper simple logger
 *
 * @param logFn
 * @param name
 * @param level
 * @param args
 */
function styler(logFn, name, level) {
    var args = [];
    for (var _i = 3; _i < arguments.length; _i++) {
        args[_i - 3] = arguments[_i];
    }
    var msg = styles[level].name("[" + name + "] ") +
        styles[level].level("[" + level.toUpperCase() + "]");
    logFn.apply(void 0, [msg].concat(args));
}
exports.default = styler;
//# sourceMappingURL=DefaultStyler.js.map