/**
 * All log functions
 */
import * as Log from './Logger';
/**
 * Export all functions from ./log
 */
export * from './Logger';
/**
 * Export all required types
 */
export * from "./Types";
/**
 * The default styler with chalk
 */
import DefaultStyler from './DefaultStyler';
/**
 * Shortcut to Log.create
 *
 * @type {function(string): ILogger}
 */
export declare const getLogger: typeof Log.create;
/**
 * Export the default styler
 */
export { DefaultStyler };
export default Log;
